export const Marks = ({
  data,
  xScale,
  yScale,
  selectedSex,
  yValue,
  selected_age_group,
  tooltipFormat,
  circleRadius
}) =>
  data.map(function (d) {

    console.log('1 ' + selected_age_group);
    console.log('2 ' + d.AgeGroup);
    console.log(d.AgeGroup === selected_age_group);
    
    let fillColor;
    if (d.Sex === 'M') {
      fillColor = "blue";
    } else if (d.Sex === 'F') {
      fillColor = "red";
    } else {
      fillColor = "green";
    }
    
    if (d.AgeGroup === selected_age_group) {
      
      return (<circle
        className="mark"
        cx={xScale(d.Year)}
        cy={yScale(yValue(d))}
        r={circleRadius}
        fill={fillColor}
      >
        <title>{tooltipFormat(d.Year)}</title>
      </circle>);
    } else {
      return (<circle
        className="mark"
        cx={0}
        cy={0}
        r={0}
      >
      </circle>);
    }
        

    
  });
